<template>
  <div
    class="menu"
    :class="{
      'is-active': sidebarMenu
    }"
    @click="toggleSidebarMenu"
  ></div>
</template>
<script lang="ts">
import { defineComponent } from '@nuxtjs/composition-api'
import useSidebarMenu from '@/hooks/sidebar-menu'

export default defineComponent({
  name: 'Burger',
  setup() {
    const { toggleSidebarMenu, sidebarMenu } = useSidebarMenu()
    return {
      sidebarMenu,
      toggleSidebarMenu
    }
  }
})
</script>

<style lang="scss" scoped>
.menu {
  cursor: pointer;
  opacity: 0.5;
  transition: opacity 0.2s linear;
  font-size: 0;
  position: relative;
  margin: 0px -5px;
  width: 35px;
  height: 35px;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;

  @media (min-width: 1199.98px) {
    margin: -11px -2px;
    width: 40px;
    height: 40px;
  }

  &::before,
  &::after {
    content: '';
    display: block;
    width: 25px;
    height: 3px;
    margin-bottom: 8px;
    background: #ffffff;
    transform-origin: 0% 100%;
    transition: transform 0.5s cubic-bezier(0.77, 0.2, 0.05, 1);
    @media (min-width: 1199.98px) {
      width: 35px;
      height: 4px;
      margin-bottom: 10px;
    }
  }
  &::after {
    transform-origin: left bottom;
    margin-bottom: 0px;
  }
  &:hover {
    opacity: 1;
  }
  &.is-active {
    opacity: 1;
    &::before {
      transform: rotate(45deg) translate(0px, -5px);
      @media (min-width: 1199.98px) {
        transform: rotate(45deg) translate(-2px, -6px);
      }
    }
    &::after {
      transform: rotate(-45deg) translate(1px, 6px);
      @media (min-width: 1199.98px) {
        transform: rotate(-45deg) translate(1px, 8px);
      }
    }
  }
}
</style>
